cancel
Showing results for 
Search instead for 
Did you mean: 

ModusToolbox General

New Contributor

Hello!

I have issues with the Linux version of the ModusToolbox, especially with the Project Creator tool.
It can't fetch the the BSPs but the issue is not the same as already reported here with the workaround: A workaround to solve "Some boards and apps may be missing" in ModusToolbox

My problem is that the Project Creator can't even try to fetch the file because it seems that the OpenSSL version on my system isn't compatible:

Getting manifest...

qt.network.ssl: QSslSocket: cannot resolve CRYPTO_num_locks

qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_id_callback

qt.network.ssl: QSslSocket: cannot resolve CRYPTO_set_locking_callback

qt.network.ssl: QSslSocket: cannot resolve ERR_free_strings

qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_cleanup

qt.network.ssl: QSslSocket: cannot resolve EVP_CIPHER_CTX_init

qt.network.ssl: QSslSocket: cannot resolve sk_new_null

qt.network.ssl: QSslSocket: cannot resolve sk_push

qt.network.ssl: QSslSocket: cannot resolve sk_free

qt.network.ssl: QSslSocket: cannot resolve sk_num

qt.network.ssl: QSslSocket: cannot resolve sk_pop_free

qt.network.ssl: QSslSocket: cannot resolve sk_value

qt.network.ssl: QSslSocket: cannot resolve SSL_library_init

qt.network.ssl: QSslSocket: cannot resolve SSL_load_error_strings

qt.network.ssl: QSslSocket: cannot resolve SSL_get_ex_new_index

qt.network.ssl: QSslSocket: cannot resolve SSLv3_client_method

qt.network.ssl: QSslSocket: cannot resolve SSLv23_client_method

qt.network.ssl: QSslSocket: cannot resolve SSLv3_server_method

qt.network.ssl: QSslSocket: cannot resolve SSLv23_server_method

qt.network.ssl: QSslSocket: cannot resolve X509_STORE_CTX_get_chain

qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_noconf

qt.network.ssl: QSslSocket: cannot resolve OPENSSL_add_all_algorithms_conf

qt.network.ssl: QSslSocket: cannot resolve SSLeay

qt.network.ssl: Incompatible version of OpenSSL

qt.network.ssl: QSslSocket::connectToHostEncrypted: TLS initialization failed

Processing super-manifest https://github.com/cypresssemiconductorco/mtb-super-manifest/raw/v2.X/mtb-super-manifest.xml...

Download of https://github.com/cypresssemiconductorco/mtb-super-manifest/raw/v2.X/mtb-super-manifest.xml failed: TLS initialization failed

Failed to get the information.

So, what version of OpenSSL is required?

My system is: Ubuntu 19.10

Thanks,

Christian

0 Likes
Reply
1 Solution
New Contributor

Okay... figured it out.

The qt5 library you guys are using doesn't support newer libopenssl versions...

Had to compile 1.0.2k as described here: Re: ModusToolbox 2.0 fails to load example project on linux install

To get it running!

mkdir -p ~/ModusToolbox/libssl/build

cd ~/ModusToolbox/libssl

wget https://github.com/openssl/openssl/archive/OpenSSL_1_0_2k.tar.gzenssl/archive/OpenSSL_1_0_2k.tar.gz

tar -xvf OpenSSL_1_0_2k.tar.gz

cd openssl-OpenSSL_1_0_2k/

./config --prefix=/home/<user>/ModusTollbox/libssl/ zlib shared

make

make install

Then start start the project-creator manually like this:

LD_LIBRARY_PATH=/home/<user>/ModusToolbox/openssl/build/lib/ ./<path_to_your_toolbox>/tools_2.1/project-creator

Also possible to get it work in the IDE, just start the IDE from the terminal and export LD_LIBRARY_PATH before:

export LD_LIBRARY_PATH=/home/<user>/ModusToolbox/openssl/build/lib/

./<path_to_your_toolbox>/ide_2.1/eclipse/ModusToolbox

Please fix this issue in the next version!

Thanks,

Christian

View solution in original post

0 Likes
Reply
2 Replies
New Contributor

Okay... figured it out.

The qt5 library you guys are using doesn't support newer libopenssl versions...

Had to compile 1.0.2k as described here: Re: ModusToolbox 2.0 fails to load example project on linux install

To get it running!

mkdir -p ~/ModusToolbox/libssl/build

cd ~/ModusToolbox/libssl

wget https://github.com/openssl/openssl/archive/OpenSSL_1_0_2k.tar.gzenssl/archive/OpenSSL_1_0_2k.tar.gz

tar -xvf OpenSSL_1_0_2k.tar.gz

cd openssl-OpenSSL_1_0_2k/

./config --prefix=/home/<user>/ModusTollbox/libssl/ zlib shared

make

make install

Then start start the project-creator manually like this:

LD_LIBRARY_PATH=/home/<user>/ModusToolbox/openssl/build/lib/ ./<path_to_your_toolbox>/tools_2.1/project-creator

Also possible to get it work in the IDE, just start the IDE from the terminal and export LD_LIBRARY_PATH before:

export LD_LIBRARY_PATH=/home/<user>/ModusToolbox/openssl/build/lib/

./<path_to_your_toolbox>/ide_2.1/eclipse/ModusToolbox

Please fix this issue in the next version!

Thanks,

Christian

View solution in original post

0 Likes
Reply
Moderator
Moderator

Hello Christian,

Yes, you are right. I have passed this enhancement request to our software development team who will evaluate your query.

Thank you for your interest in Cypress products.

Regards,

Dheeraj

0 Likes
Reply
Top labels